
Application: gvSIG desktop - gvSIG bugs #4238
Can't initialize the EPSG database folder in the gvSIG home
06/21/2016 12:26 PM - Antonio Falciano

Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Assignee: Daniel Martinez
Category: CRS
Target version: 2.3.0-2434  (rev. org.gvsig.desktop-2.0.140)
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2429 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: EPSG Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Executing the build 2429 for the first time, the EPSG database can't be initialized in the gvSIG home folder:

INFO main org.gvsig.crs.JCRSPluginLibrary - Initializing EPSG database folder in
C:\Users\Antonio\gvSIG\plugins\org.gvsig.projection.app.jcrs\db\EPSG\EPSG_v8_7
ERROR main org.gvsig.crs.JCRSPluginLibrary - Can't initilize EPSG database folder in the gvSIG home (src=C:\Program
Files\gvSIG desktop
2.3.0-2429\gvSIG\extensiones\org.gvsig.projection.app.jcrs\db\EPSG\EPSG_v8_7,target=C:\Users\Antonio\gvSIG\plugins\org.gvsig.projection.app.jcrs\db\EPSG\EPSG_v8_7).
java.io.FileNotFoundException: Source 'C:\Program Files\gvSIG desktop 2.3.0-2429\gvSIG\extensiones\org.gvsig.projection.app.jcrs\db\EPSG\EPSG_v8_7' does not exist
    at org.apache.commons.io.FileUtils.copyDirectory(FileUtils.java:1368)
    at org.ap
gvsig.projection.app.jcrs\db\EPSG\EPSG_v8_7).
java.io.FileNotFoundException: Source 'C:\Program Files\gvSIG desktop
2.3.0-2429\gvSIG\extensiones\org.gvsig.projection.app.jcrs\db\EPSG\EPSG_v8_7' does not exist
    at org.apache.commons.io.FileUtils.copyDirectory(FileUtils.java:1368)
    at org.apache.commons.io.FileUtils.copyDirectory(FileUtils.java:1261)
    at org.apache.commons.io.FileUtils.copyDirectory(FileUtils.java:1230)
    at org.gvsig.crs.JCRSPluginLibrary.initalizeHomeDB(JCRSPluginLibrary.java:135)
    at org.gvsig.crs.JCRSPluginLibrary.doInitialize(JCRSPluginLibrary.java:45)
    at org.gvsig.tools.library.AbstractLibrary.initialize(AbstractLibrary.java:338)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.initializeLibraries(AbstractLibrariesInitializer.java:256)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.initialize(AbstractLibrariesInitializer.java:90)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.fullInitialize(AbstractLibrariesInitializer.java:115)
    at org.gvsig.andami.Launcher.initializeLibraries(Launcher.java:782)
    at org.gvsig.andami.Launcher.doMain(Launcher.java:570)
    at org.gvsig.andami.Launcher.main(Launcher.java:395)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.gvsig.andamiupdater.Updater.launchApp(Updater.java:89)
    at org.gvsig.andamiupdater.Updater.main(Updater.java:67)
INFO main org.gvsig.tools.library.AbstractLibrary - Can't initialize library 'org.gvsig.crs.JCRSPluginLibrary'.
java.lang.RuntimeException: java.io.FileNotFoundException: Source 'C:\Program Files\gvSIG desktop
2.3.0-2429\gvSIG\extensiones\org.gvsig.projection.app.jcrs\db\EPSG\EPSG_v8_7' does not exist
    at org.gvsig.crs.JCRSPluginLibrary.initalizeHomeDB(JCRSPluginLibrary.java:138)
    at org.gvsig.crs.JCRSPluginLibrary.doInitialize(JCRSPluginLibrary.java:45)
    at org.gvsig.tools.library.AbstractLibrary.initialize(AbstractLibrary.java:338)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.initializeLibraries(AbstractLibrariesInitializer.java:256)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.initialize(AbstractLibrariesInitializer.java:90)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.fullInitialize(AbstractLibrariesInitializer.java:115)
    at org.gvsig.andami.Launcher.initializeLibraries(Launcher.java:782)
    at org.gvsig.andami.Launcher.doMain(Launcher.java:570)
    at org.gvsig.andami.Launcher.main(Launcher.java:395)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.gvsig.andamiupdater.Updater.launchApp(Updater.java:89)
    at org.gvsig.andamiupdater.Updater.main(Updater.java:67)
Caused by: java.io.FileNotFoundException: Source 'C:\Program Files\gvSIG desktop
2.3.0-2429\gvSIG\extensiones\org.gvsig.projection.app.jcrs\db\EPSG\EPSG_v8_7' does not exist
    at org.apache.commons.io.FileUtils.copyDirectory(FileUtils.java:1368)
    at org.apache.commons.io.FileUtils.copyDirectory(FileUtils.java:1261)
    at org.apache.commons.io.FileUtils.copyDirectory(FileUtils.java:1230)
    at org.gvsig.crs.JCRSPluginLibrary.initalizeHomeDB(JCRSPluginLibrary.java:135)
    ... 14 more

The right EPSG database version to be initialized should be 8.8, instead of 8.7.
Related to #4174 and #4237.

Related issues:
Duplicated by Application: gvSIG desktop - gvSIG bugs # 4246: Error in the in... Invalid 06/28/2016

Associated revisions
Revision 556 - 06/27/2016 10:01 AM - Daniel Martinez

refs #4238 Changed EPSG version to 8.8

History
#1 - 06/24/2016 10:57 AM - Joaquín  del Cerro Murciano
- Assignee set to Daniel Martinez

#2 - 06/24/2016 11:00 AM - Joaquín  del Cerro Murciano
- Priority changed from Normal to High

#3 - 06/24/2016 01:37 PM - Daniel Martinez
- % Done changed from 0 to 100
- Status changed from New to Fixed

Tested in 2431. No error found with jcrs and appears v8.8

#4 - 06/24/2016 03:52 PM - Antonio Falciano
- Status changed from Fixed to New

Daniel,
it seems that the error happens only the first time after a fresh install, when there's not a gvSIG home folder coming from a previous gvSIG
version/build. To solve it, take a look to the fixes made in gvSIG 2.2 by Francisco Diaz (#3488). So the EPSG Registry version should be updated to
8.8 in JCRSPluginLibrary.java:

private static final String EPSG_VERSION = "EPSG_v8_8";

#5 - 06/27/2016 10:08 AM - Daniel Martinez
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2434  (rev. org.gvsig.desktop-2.0.140)
- Status changed from New to Fixed

Hello Andrea,

Thanks for your help. You were right. I tried this after a fresh install and it crashed. I changed the version in JCRSPluginLibrary.java, compiled and
changed the new generated folder in the installation and it worked well.
So this should be resolved with the next generated version.

#6 - 07/01/2016 12:58 PM - Daniel Martinez
- Duplicated by gvSIG bugs #4246: Error in the initialization of application (build 243*) added

#7 - 07/02/2016 07:38 PM - Antonio Falciano
- Status changed from Fixed to Closed
